##########################################################################
# Joshua R. Boverhof, LBNL
# See Copyright for copyright notice!
###########################################################################
from ZSI.wstools.Namespaces import OASIS
from pyGridWare.faults import GED, BaseFault
from pyGridWare.generated.types import basenotification

'''
ResumeFailedFault
NoCurrentMessageOnTopicFault
InvalidTopicExpressionFault
TopicNotSupportedFault
TopicPathDialectUnknownFault
SubscribeCreationFailedFault
PauseFailedFault
ResourceUnknownFault
'''

class ResumeFailedFault(BaseFault):
   ''' 
   '''
   typecode = GED(OASIS.NOTIFICATION, "ResumeFailedFault")()


class NoCurrentMessageOnTopicFault(BaseFault):
   ''' 
   '''
   typecode = GED(OASIS.NOTIFICATION, "NoCurrentMessageOnTopicFault")()


class InvalidTopicExpressionFault(BaseFault):
   ''' 
   '''
   typecode = GED(OASIS.NOTIFICATION, "InvalidTopicExpressionFault")()


class TopicNotSupportedFault(BaseFault):
   ''' 
   '''
   typecode = GED(OASIS.NOTIFICATION, "TopicNotSupportedFault")()


class TopicPathDialectUnknownFault(BaseFault):
   ''' 
   '''
   typecode = GED(OASIS.NOTIFICATION, "TopicPathDialectUnknownFault")()


class SubscribeCreationFailedFault(BaseFault):
   ''' 
   '''
   typecode = GED(OASIS.NOTIFICATION, "SubscribeCreationFailedFault")()


class PauseFailedFault(BaseFault):
   ''' 
   '''
   typecode = GED(OASIS.NOTIFICATION, "PauseFailedFault")()


class ResourceUnknownFault(BaseFault):
   ''' 
   '''
   typecode = GED(OASIS.NOTIFICATION, "ResourceUnknownFault")()

