from StringIO import StringIO
from pyGridWare.addressing.AddressingUtils import AddressingUtils
from pyGridWare.generated.services.clwrappertool import CLWrapperTool_cat
from pyGridWare.generated.services.clwrappertool.CLWrapperTool_cat import CLWrapperTool_catWSRF


class CLWrapperToolService(CLWrapperTool_catWSRF):
    def wsa_create(self, ps, address):
        response = CLWrapperTool_catWSRF.wsa_create(self, ps, address)
        ctx = self.NewResourceContextCLWrapperTool_catPort()

        # Initialize 
        prop = ctx.properties
        s = StringIO()
        for l in open('/tmp/test.tar.gz', 'r'):
            s.write(l)
        prop.stdout = s.getvalue()
        
        # Create EndPointReference and set in response
        epr = AddressingUtils.createEndpointReference(ctx)
        response._EndpointReference = epr
        return response

